using System;
using System.Linq;

namespace MyShootingStar
{
    class Program
    {
        static string rez(int a1, int a2, char c1, char c2)
        {
            string rez = "";
            if (a1 > a2)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0)
                    {
                        rez += c1;
                    }
                    else if (i % 2 == 1)
                    {
                        rez += c2;
                    }
                }
            }
            else if (a2 > a1)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0)
                    {
                        rez += c2;
                    }
                    else if (i % 2 == 1)
                    {
                        rez += c1;
                    }
                }
            }
            else if (a1 == a2)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0)
                    {
                        rez += c2;
                    }
                    else if (i % 2 == 1)
                    {
                        rez += c1;
                    }
                }
            }
            return rez;    
        }
        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            string s2 = Console.ReadLine();
            char c1 = Convert.ToChar(s1[0]);
            char c2 = Convert.ToChar(s1[1]);
            int a1 = Convert.ToInt32(s2.Split(' ')[0]);
            int a2 = Convert.ToInt32(s2.Split(' ')[1]);
            if (Math.Abs(a1 - a2) >= 2)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                Console.WriteLine(rez(a1, a2, c1, c2));
            }	



        }
    }
}